

arch/ia64/kernel/process.c: In function `cpu_idle_wait':
arch/ia64/kernel/process.c:236: error: `per_cpu__cpu_idle_state' undeclared (first use in this function)

arch/ia64/kernel/process.c: In function `cpu_idle':
arch/ia64/kernel/process.c:258: warning: unused variable `cpu'


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/kernel/process.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ia64/kernel/process.c~ia64-reduce-cacheline-bouncing-in-cpu_idle_wait-fix arch/ia64/kernel/process.c
--- 25/arch/ia64/kernel/process.c~ia64-reduce-cacheline-bouncing-in-cpu_idle_wait-fix	Sat Mar 12 18:29:44 2005
+++ 25-akpm/arch/ia64/kernel/process.c	Sat Mar 12 18:30:26 2005
@@ -50,7 +50,7 @@
 #include "sigframe.h"
 
 void (*ia64_mark_idle)(int);
-static DEFINE_PER_CPU(unsigned int, cpu_idle_map);
+static DEFINE_PER_CPU(unsigned int, cpu_idle_state);
 
 unsigned long boot_option_idle_override = 0;
 EXPORT_SYMBOL(boot_option_idle_override);
@@ -255,7 +255,6 @@ void __attribute__((noreturn))
 cpu_idle (void)
 {
 	void (*mark_idle)(int) = ia64_mark_idle;
-	int cpu = smp_processor_id();
 
 	/* endless idle loop with no priority at all */
 	while (1) {
_
